Works with FF 17.0, too! Rated 5 out of 5 stars

Download from the author's page and reinstall if it stopped working after FF updates.